import request from '@/utils/request'

// 确认气密
export function handleConfirmAirtight(data) {
  return request({
    url: '/pssr/airtight/confirmAirtight',
    method: 'put',
    data: data
  })
}

// 驳回气密
export function handleTurnDownAirtight(data) {
  return request({
    url: '/pssr/airtight/turnDownAirtight',
    method: 'put',
    data: data
  })
}

// 查询气密列表
export function listAirtight(query) {
  return request({
    url: '/pssr/airtight/list',
    method: 'get',
    params: query
  })
}

// 查询气密详细
export function getAirtight(id) {
  return request({
    url: '/pssr/airtight/' + id,
    method: 'get'
  })
}

// 新增气密
export function addAirtight(data) {
  return request({
    url: '/pssr/airtight',
    method: 'post',
    data: data
  })
}

// 修改气密

export function updateAirtight(data) {
  return request({
    url: '/pssr/airtight',
    method: 'put',
    data: data
  })
}

//
export function updateAirtightBatch(data) {
  return request({
    url: '/pssr/airtight/editBatch',
    method: 'put',
    data: data
  })
}

//
export function updateAirtightBatchBatch(data) {
  return request({
    url: '/pssr/airtight/editBatch/editBatch',
    method: 'put',
    data: data
  })
}


// 删除气密
export function delAirtight(id) {
  return request({
    url: '/pssr/airtight/' + id,
    method: 'delete'
  })
}

// 导出气密
export function exportAirtight(query) {
  return request({
    url: '/pssr/airtight/export',
    method: 'get',
    params: query
  })
}
